variable "ssh" {
  description = "SSH Key(s) definition"
  type = list(object({
    public_key = string
    ssh_user   = string
  }))
  default = [{
    public_key = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAID1Z96CGdoNnbazs89cdnDLDdju6UtuKAZctEAmnEaAC"
    ssh_user   = "slawek@1password"
  }]
}

variable "shared_secret" {
  description = "Shared secret for the VPN tunnel"
  type        = string
  sensitive   = true
}

variable "peer_ip" {
  description = "IP address of the peer VPN gateway"
  type        = string
}

variable "hub_cidr" {
  description = "Hub CIDR block"
  type        = string
  default     = "192.168.16.0/24"
}

variable "spoke_cidr" {
  description = "Spoke CIDR block"
  type        = string
  default     = "192.168.17.0/24"
}

variable "on_prem_selectors" {
  type        = list(string)
  default     = ["192.168.2.0/24", "192.168.10.0/24"]
  description = "On-premise traffic selectors"
}
